
# Class: OptionSummary

## Hierarchy

* **OptionSummary**

## Index

### Constructors

* [constructor](optionsummary.md#constructor)

### Properties

* [name](optionsummary.md#name)
* [value](optionsummary.md#value)
* [visible](optionsummary.md#visible)

## Constructors

###  constructor

\+ **new OptionSummary**(`currentWidget`: [AuWidgetPimOption](auwidgetpimoption.md), `options`: [ProductInformationOption](productinformationoption.md)[]): *[OptionSummary](optionsummary.md)*

**Parameters:**

Name | Type |
------ | ------ |
`currentWidget` | [AuWidgetPimOption](auwidgetpimoption.md) |
`options` | [ProductInformationOption](productinformationoption.md)[] |

**Returns:** *[OptionSummary](optionsummary.md)*

## Properties

###  name

• **name**: *string*

___

###  value

• **value**: *string | string[]*

___

###  visible

• **visible**: *boolean*
